Opened 14 months ago

Closed 3 months ago

#298 closed task (migrated)

Update the binaries (dll) to a thread-safe version

Reported by: andreas Owned by: ipopt-team
Priority: normal Component: Ipopt
Version: 3.12 Severity: normal
Keywords: thread-safety Cc:

Description

Hello,

I am using IPOPT 3.11.0 downloaded from https://www.coin-or.org/download/binary/Ipopt/ (Ipopt-3.11.0-Win32-Win64-dll.7z) and it works great.

But, I am currently in need of a thread-safe version of IPOPT and from what I understand the newer versions of IPOPT are thread-safe (https://projects.coin-or.org/Ipopt/ticket/167).

Are there any plans to update the pre-compiled libaries? Or is there any way to find updated dlls?

Thanks in advance!

Change History (2)

comment:1 Changed 14 months ago by stefan

Even though Ipopt itself should be thread-safe now, also the linear solver used by Ipopt needs to be thread-safe. However, the only open-source linear solver that is interfaced by Ipopt is MUMPS 4, which isn't thread-safe.

comment:2 Changed 3 months ago by stefan

  • Resolution set to migrated
  • Status changed from new to closed

This ticket has been migrated to GitHub and will be followed up there: https://github.com/coin-or/Ipopt/issues/298

Note: See TracTickets for help on using tickets.